create table product_type
(
    id   integer generated by default as identity
        primary key,
    name varchar
);

create table product
(
    id           integer generated by default as identity
        primary key,
    name         varchar,
    product_type integer references product_type,
    measure      varchar,
    price        decimal
);

create table recipe
(
    id   integer generated by default as identity
        primary key,
    name varchar

);

create table recipe_detail
(
    id        integer generated by default as identity
        primary key,
    recipe_id  integer references recipe,
    product_id integer references product,
    amount    decimal
);

create table fridge
(
    id        integer generated by default as identity
        primary key,
    product_id integer references product,
    amount    decimal
);

create table wishlist
(
    id       integer generated by default as identity
        primary key,
    recipe_id integer references recipe,
    amount   int
);